WordPress 2.3.1 Release and WPAU updates
By on October 27th, 2007

WordPress 2.3.1 has been released today and Techie Buzz has been updated using the handy plugin WordPress Automatic Upgrade. There were some bugs I found while updating from WordPress 2.3 to 2.3.1 due to database table name changes which has been fixed. I have released a new version 0.8 which should fix this error.

WPAU is now also available through the official WordPress Extend page so you should see a update note in your Plugins page, please upgrade to the latest version if you are using WordPress 2.3.

Here are list of changes in WordPress 2.3.1

2.3.1 fixes over twenty bugs. Some of the notable fixes are:

  • Tagging support for Windows Live Writer
  • Fixes for a login bug that affected those with a Blog Address different than
    their WordPress Address
  • Faster taxonomy database queries, especially tag intersection queries
  • Link importer fixes

 

WPAU 0.8

  • Fix for database table name changes in WordPress 2.3 this should only affect blogs that are running WordPress 2.3 while running the Automatic Upgrade.

Download the Latest Version of WordPress Automatic Upgrade downloaded times.

Tags: ,
Author: Keith Dsouza Google Profile for Keith Dsouza
I am the editor-in-chief and owner of Techie Buzz. I love coding and have contributed to several open source projects in the past. You can know more about me and my projects by visiting my Personal Website. I am also a social networking enthusiast and can be found active on twitter, you can follow Keith on twitter @keithdsouza. You can click on my name to visit my Google+ profile.

Keith Dsouza has written and can be contacted at keith@techie-buzz.com.
  • http://kylescove.com Kyle Eslick

    Keith,

    Thanks for updating this plugin! I rely heavily on it for all my upgrades and it works great. Thanks!

    • keith

      Hey Kyles,

      Glad it is helpful to you.

  • http://www.reviewsaurus.com/ ReviewSaurus

    Hey keith,

    Can you please tell me that if I upgrade from 2.2.1 then will this release be able to update it ??

    and what about 2.1 ??

  • http://just-thinkin.net Kirk M

    ReviewSaurus,

    Before Keith answers this (good question too) you might want to know that the real issues with upgrading from 2.1 or 2.2.x is knowing any category dependent plugins or theme hacks are going to break once the upgrade to 2.3.x is completed due to those DB table changes that occurred in WP 2.3. In other words, anything that directly queries the old pre-2.3 MySQL database tables will no longer work. Anything that uses the API should work okay though.

    Just thought you’d like to know. :)

  • keith

    @ReviewSaurus The plugin works fine from 1.5.2 up to 2.3 for upgrades so you can upgrade with the version. You may want to check my post on how to get rid errors after upgrading to WordPress 2.3

    @Kirk Thanks for the headsup for upgrade tips

  • http://www.aprian.net aprian

    Your plugin work great keith. Thanks a lot for saving my time with this plugin..

  • http://www.bytedust.nl Dennis Douven

    Hi Keith,

    I always enjoyed working with WPAU 0.1.

    After updating to WPAU 0.8 I get the following message:

    Your server is running in safe mode. WPAU cannot continue in safe mode. Please ask your system administrator to change the setting to disble running in safe mode.

    Can you help me what to do?

    Thanks :D

    • keith

      @Dennis, the safe mode feature is turned on in the plugin since sometimes upgrade used to fail. I have sent you the earlier version which you can use.

  • http://www.colblindor.com/ Daniel

    Keith,

    I’ve got the same issue as Dennis. I’m upgrading from 2.1.2.

    After the first try, the zip file which should include all the files was empty. And then after the cleanup procedure I received this error.

    Thanks,
    Daniel

  • http://www.globalwarming-factorfiction.com Sean O

    I think this is a great plugin. I used it when I upgraded to 2.3 and it was flawless.

    I just used it yesterday for 2.3.1 upgrade since I use WLW and want to take advantage of its tags. Unfortunately, WLW still didn’t use tags so I did a little digging.

    Evidently WLW is looking for a manifest file. When I look at the .zip and the .gz versions of the WordPress 2.3.1 code, that file is in the includes but when I look at my installation on the server, the file is not present. Is it possible that WPAU misses this new file but didn’t report an error?

    I need to fix this. Can I just put the manifest file in the includes folder of my server or is there something else that occurs during the installation process.

    Thank you for you help and hopefully you can find this problem so that others are not affected.

  • http://www.wpthemer.com/heb/ dvir

    “Could not successfully get the latest WordPress installation. Failed at Step 3.”
    what can I do??

  • http://www.helpmesleep.net Dan

    Totally destroyed my wordpress install from version 2.0 to the latest. Looks like a smooth plugin and I’m sure it had more to do with my hosting than the plugin itself but definitely take a backup!

  • Patrick

    Dear Keith,

    I am getting the safe mode warning as well:
    Your server is running in safe mode. WPAU cannot continue in safe mode. Please ask your system administrator to change the setting to disble running in safe mode

    Unfortunately, this isn’t the first time, I am not able to convince my hoster to turn safe mode off. I have to accept it :/ is there a chance to still use WPAU? Could you please provide a modified v0.8 for those who are left with the safe mode on?

    Thanks and regards, Patrick

  • http://www.bytedust.nl Dennis Douven

    At my own risk I removed the “Safe mode check code” from the relevant PHP file. WPAU 0.8 is working fine with me now (but I’m not a PHP expert and don’t know if what I did can cause errors with other WP users).

    I also experienced some other problems: WPAU 0.8 encounters some conflicts with my WP shopping cart plugin YAK. YAK is not working probably when WPAU 0.8 has been activated. I also tested the original WPAU files with the “Safe mode check” still in it, that didn’t make any difference.

  • http://www.liezmaya.web.id LieZMaya

    i have problem “some message”
    Your server is running in safe mode. WPAU cannot continue in safe mode. Please ask your system administrator to change the setting to disble running in safe mode.

    help me please :(

  • SNG

    Hi,

    I’m also receiving the ‘running in safe mode’ error after turning off the PHP safe mode in the server’s Apache PHP manager. Has anybody found a way around this?

    Thanks very much for any assistance,
    Michael
    SNG

  • http://www.kreativpotens.dk niemi

    Please send me the old version that doesn’t have the SAFE_MODE check.

    Thanks a lot.

  • http://underpantsontheoutside.com/blog/wpcontent/uploads/2008/02/google-underpants-search.jpg Zach

    I installed version .8 to upgrade from 2.3.1 to 2.3.3. When I try to run the program it doesn’t show any errors, but the zip files I download as backups of my database and wordpress files are empty. What am I doing wrong?

    If I can get this plugin to work, I will most definitely be donating – you will have saved me so much time and effort constantly upgrading WP.

    Thank you,

    Zach

    • Keith Dsouza

      Hey Zach,

      I will check out the issues you reported and fix it if there are any bugs.

  • http://artecg.com Jabba

    Safe mode error here too… wtf!

 
Copyright 2006-2012 Techie Buzz. All Rights Reserved. Our content may not be reproduced on other websites. Content Delivery by MaxCDN